<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Soprano.RdfSchemaModel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>RdfSchemaModel Class Reference</h1>
<code>from PyKDE4.soprano import *</code>
<p>
Inherits: <a href="../soprano/Soprano.FilterModel.html">Soprano.FilterModel</a> &#x2192; <a href="../soprano/Soprano.Model.html">Soprano.Model</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: Soprano<br />
<h2>Detailed Description</h2>

<p>\class RdfSchemaModel rdfschemamodel.h Soprano/RdfSchemaModel
</p>
<p>
Provides convenience methods to handle RDFS data.
</p>
<p>
Interface based on Sesame's RdfSchemaSource. (Copyright (C) 2002-2006 Aduna BV, GNU LGPL License applies.)
</p>
<p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd> Backward inferencing has not been implemented yet. Thus, methods like subClassOf() return the same
as directSubClassOf().
</dd></dl> </p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Sebastian Trueg &lt;trueg@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179931020">__init__</a> (self, <a href="../soprano/Soprano.Model.html">Soprano.Model</a> parentModel=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166476524">classes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192782956">directSubClassOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superClass=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj161668876">directSubPropertyOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subProperty, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superProperty=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200294284">directType</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186562764">domain</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> prop, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> domain)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197881676">isClass</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> resource)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj168441740">isDirectSubClassOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superClass)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj168441996">isDirectSubPropertyOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subProperty, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superProperty)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166488684">isDirectType</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197877932">isProperty</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> resource)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193784140">isSubClassOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superClass)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193784364">isSubPropertyOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subProperty, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superProperty)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193784844">isType</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186561228">properties</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186561260">range</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> prop, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> range)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186562028">subClassOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superClass=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179878796">subPropertyOf</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subProperty, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> superProperty=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197877900">type</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someClass, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> someType)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj179931020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td>
<td class="paramname"><em>parentModel=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a new RDF Schema wrapper model that performs actions
on <b>model</b>
</p></div></div><a class="anchor" name="obj166476524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> classes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get all defined RDF/S classes.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a StatementIterator that iterates over all statements in the model
defining an RDF/S class.
</dd></dl>
</p></div></div><a class="anchor" name="obj192782956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> directSubClassOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superClass=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all direct subClassOf relations with a specific sub- and/or superclass.
A class A is a direct subclass of class B if there is no class C such that A is
a subclass of C and C is a subclass of B.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subClass</em>&nbsp;</td><td> The subclass of the relations that should be returned,
or an empty node if relations with any subclass should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superClass</em>&nbsp;</td><td> The superclass of the relations that should be returned,
or an empty node if relations with any superclass should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(subClass, rdfs:subClassOf, superClass).
</dd></dl>
</p></div></div><a class="anchor" name="obj161668876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> directSubPropertyOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subProperty</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superProperty=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all direct subPropertyOf relations with a specific sub- and/or superproperty.
A property A is a direct subproperty of property B if there is no property C such
that A is a subproperty of C and C is a subproperty of B.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subProperty</em>&nbsp;</td><td> The subproperty of the relations that should be returned,
or an empty node if relations with any subproperty should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superProperty</em>&nbsp;</td><td> The superproperty of the relations that should be returned,
or an empty node if relations with any superproperty should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(subProperty, rdfs:subPropertyOf, superProperty).
</dd></dl>
</p></div></div><a class="anchor" name="obj200294284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> directType</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all direct type relations with a specific instance and/or class.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someClass</em>&nbsp;</td><td> The instance of the relations that should be returned,
or an empty node if relations with any instance should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someType</em>&nbsp;</td><td> The class of the relations that should be returned,
or an empty node if relations with any class should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(someClass, rdf:type, someType).
</dd></dl>
</p></div></div><a class="anchor" name="obj186562764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> domain</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>prop</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>domain</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all domain relations with a specific property and/or domain class.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>prop</em>&nbsp;</td><td> The property of the relations that should be returned,
or an empty node if relations with any property should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>domain</em>&nbsp;</td><td> The domain of the relations that should be returned,
or an empty node if relations with any domain should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(prop, rdfs:domain, domain).
</dd></dl>
</p></div></div><a class="anchor" name="obj197881676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isClass</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>resource</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether the supplied resource represents a class.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>resource</em>&nbsp;</td><td> The resource to check.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if resource is a class, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj168441740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDirectSubClassOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superClass</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a direct subclass of another.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subClass</em>&nbsp;</td><td> A class.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superClass</em>&nbsp;</td><td> A class.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if subClass is a direct subclass of superClass, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj168441996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDirectSubPropertyOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subProperty</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superProperty</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a direct subproperty of another.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subProperty</em>&nbsp;</td><td> A property.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superProperty</em>&nbsp;</td><td> A property.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if subProperty is a direct subproperty of superProperty, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj166488684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDirectType</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a direct instance of another.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someClass</em>&nbsp;</td><td> An instance.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someType</em>&nbsp;</td><td> A class.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if someClass is a direct instance of someType, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj197877932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isProperty</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>resource</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether the supplied resource represents a property.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>resource</em>&nbsp;</td><td> The resource to check.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if resource is a property, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj193784140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSubClassOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superClass</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a subclass of another.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use isDirectSubClassOf instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subClass</em>&nbsp;</td><td> A class.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superClass</em>&nbsp;</td><td> A class.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if subClass is a subclass of superClass, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj193784364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSubPropertyOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subProperty</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superProperty</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a subproperty of another.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use isDirectSubPropertyOf instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subProperty</em>&nbsp;</td><td> A property.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superProperty</em>&nbsp;</td><td> A property.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if subProperty is a subproperty of superProperty, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj193784844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isType</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether one resource is a instance of another.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use isDirectType instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someClass</em>&nbsp;</td><td> An instance.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someType</em>&nbsp;</td><td> A class.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if someClass is an instance of someType, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj186561228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> properties</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Gets all defined properties.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(someProperty, rdf:type, rdf:Property).
</dd></dl>
</p></div></div><a class="anchor" name="obj186561260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> range</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>prop</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>range</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all range relations with a specific property and/or range class.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>prop</em>&nbsp;</td><td> The property of the relations that should be returned,
or an empty node if relations with any property should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>range</em>&nbsp;</td><td> The range of the relations that should be returned,
or an empty node if relations with any range should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing statements of the form
(prop, rdfs:range, range).
</dd></dl>
</p></div></div><a class="anchor" name="obj186562028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> subClassOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superClass=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all subClassOf relations with a specific sub- and/or superclass.
Note that the subClassOf relation is reflexive: a class is implicitly
always a subclass of itself.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use directSubClassOf instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subClass</em>&nbsp;</td><td> The subclass of the relations that should be returned,
or an empty node if relations with any subclass should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superClass</em>&nbsp;</td><td> The superclass of the relations that should be returned,
or an emtpy node if relations with any superclass should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing all valid statements of the form
(subClass, rdfs:subClassOf, superClass) including those calculated through
direct inferencing.
</dd></dl>
</p></div></div><a class="anchor" name="obj179878796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> subPropertyOf</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subProperty</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>superProperty=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all subPropertyOf relations with a specific sub- and/or superproperty.
Note that the subPropertyOf relation is reflexive: a property is implicitly
always a subproperty of itself.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use directSubPropertyOf instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>subProperty</em>&nbsp;</td><td> The subproperty of the relations that should be returned,
or an empty node if relations with any subproperty should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>superProperty</em>&nbsp;</td><td> The superproperty of the relations that should be returned,
or an empty node if relations with any superproperty should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing all valid statements of the form
(subProperty, rdfs:subPropertyOf, superProperty) including those calculated through
direct inferencing.
</dd></dl>
</p></div></div><a class="anchor" name="obj197877900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> type</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someClass</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>someType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Gets all type relations with a specific instance and/or class.
</p>
<p>
Do not use this method if the Soprano backend supports inferencing.
Use directType instead which is much faster.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someClass</em>&nbsp;</td><td> The instance of the relations that should be returned,
or an empty node if relations with any instance should be returned.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>someType</em>&nbsp;</td><td> The class of the relations that should be returned,
or an empty node if relations with any class should be returned.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A StatementIterator containing all valid statements of the form
(someClass, rdf:type, someType) including those calculated through
direct inferencing.
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
